<?php

namespace Bydedi\Database;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\DependencyInjection\Reference;

class DatabaseServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->serviceContainer->register('database.connection', 'Bydedi\Database\MysqlConnection')
            ->addArgument(new Reference('cache.app'));
    }
}
